Class | Bio::DDBJ::XML::TxSearch
In: | lib/bio/io/ddbjxml.rb
Parent: | XML

### TxSearch

Searching taxonomy information.

- xml.nig.ac.jp/doc/TxSearch.txt

### Examples

      serv = Bio::DDBJ::XML::TxSearch.new
      puts serv.searchSimple('*coli')
      puts serv.searchSimple('*tardigrada*')
      puts serv.getTxId('Escherichia coli')
      puts serv.getTxName('562')

      query = ["Campylobacter coli", "Escherichia coli"].join("\n")
      rank = ["family", "genus"].join("\n")
      puts serv.searchLineage(query, rank, 'Bacteria')

### WSDL Methdos

- searchSimple(tx_Name)
- searchParam(tx_Name, tx_Clas, tx_Rank, tx_Rmax, tx_Dcls)
- getTxId(tx_Name)
- getTxName(tx_Id)
- searchLineage(query, ranks, superkingdom)

### References

- xml.nig.ac.jp/doc/TxSearch.txt

### Constants

SERVER_URI | = | BASE_URI + "TxSearch.wsdl"

[Validate]